package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridHouse implements Serializable {
    private String id;

    /**
     * 所属村社区code
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 房屋类型code
     *
     * @mbg.generated
     */
    private String fwlxCode;

    /**
     * 房屋名称房号
     *
     * @mbg.generated
     */
    private String houseName;

    /**
     * 房屋状态code
     *
     * @mbg.generated
     */
    private String fwztCode;

    /**
     * 业主身份证号码
     *
     * @mbg.generated
     */
    private String personIdCard;

    /**
     * 业主姓名
     *
     * @mbg.generated
     */
    private String personName;

    /**
     * 业主手机号码
     *
     * @mbg.generated
     */
    private String personPhone;

    /**
     * 房屋详细地址
     *
     * @mbg.generated
     */
    private String houseAddress;

    private String createTime;

    private String updateTime;

    private String createId;

    private String updateId;

    /**
     * 0-无效，1-有效
     *
     * @mbg.generated
     */
    private Byte isValid;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getFwlxCode() {
        return fwlxCode;
    }

    public void setFwlxCode(String fwlxCode) {
        this.fwlxCode = fwlxCode;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public String getFwztCode() {
        return fwztCode;
    }

    public void setFwztCode(String fwztCode) {
        this.fwztCode = fwztCode;
    }

    public String getPersonIdCard() {
        return personIdCard;
    }

    public void setPersonIdCard(String personIdCard) {
        this.personIdCard = personIdCard;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getPersonPhone() {
        return personPhone;
    }

    public void setPersonPhone(String personPhone) {
        this.personPhone = personPhone;
    }

    public String getHouseAddress() {
        return houseAddress;
    }

    public void setHouseAddress(String houseAddress) {
        this.houseAddress = houseAddress;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public Byte getIsValid() {
        return isValid;
    }

    public void setIsValid(Byte isValid) {
        this.isValid = isValid;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", fwlxCode=").append(fwlxCode);
        sb.append(", houseName=").append(houseName);
        sb.append(", fwztCode=").append(fwztCode);
        sb.append(", personIdCard=").append(personIdCard);
        sb.append(", personName=").append(personName);
        sb.append(", personPhone=").append(personPhone);
        sb.append(", houseAddress=").append(houseAddress);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", createId=").append(createId);
        sb.append(", updateId=").append(updateId);
        sb.append(", isValid=").append(isValid);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridHouse other = (GridHouse) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
            && (this.getFwlxCode() == null ? other.getFwlxCode() == null : this.getFwlxCode().equals(other.getFwlxCode()))
            && (this.getHouseName() == null ? other.getHouseName() == null : this.getHouseName().equals(other.getHouseName()))
            && (this.getFwztCode() == null ? other.getFwztCode() == null : this.getFwztCode().equals(other.getFwztCode()))
            && (this.getPersonIdCard() == null ? other.getPersonIdCard() == null : this.getPersonIdCard().equals(other.getPersonIdCard()))
            && (this.getPersonName() == null ? other.getPersonName() == null : this.getPersonName().equals(other.getPersonName()))
            && (this.getPersonPhone() == null ? other.getPersonPhone() == null : this.getPersonPhone().equals(other.getPersonPhone()))
            && (this.getHouseAddress() == null ? other.getHouseAddress() == null : this.getHouseAddress().equals(other.getHouseAddress()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getCreateId() == null ? other.getCreateId() == null : this.getCreateId().equals(other.getCreateId()))
            && (this.getUpdateId() == null ? other.getUpdateId() == null : this.getUpdateId().equals(other.getUpdateId()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getFwlxCode() == null) ? 0 : getFwlxCode().hashCode());
        result = prime * result + ((getHouseName() == null) ? 0 : getHouseName().hashCode());
        result = prime * result + ((getFwztCode() == null) ? 0 : getFwztCode().hashCode());
        result = prime * result + ((getPersonIdCard() == null) ? 0 : getPersonIdCard().hashCode());
        result = prime * result + ((getPersonName() == null) ? 0 : getPersonName().hashCode());
        result = prime * result + ((getPersonPhone() == null) ? 0 : getPersonPhone().hashCode());
        result = prime * result + ((getHouseAddress() == null) ? 0 : getHouseAddress().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getCreateId() == null) ? 0 : getCreateId().hashCode());
        result = prime * result + ((getUpdateId() == null) ? 0 : getUpdateId().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        return result;
    }
}
